Bug 481428 - Review Request: rednotebook - A desktop diary
Review Request: rednotebook - A desktop diary
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On: 439667
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-24 12:48 EST by Fabian Affolter
Modified: 2015-03-17 14:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.6.2-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 10:49:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 320492 None None None Never

  None (edit)
Description Fabian Affolter 2009-01-24 12:48:50 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/rednotebook.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/rednotebook-0.5.1-1.fc10.src.rpm

Project URL: http://digitaldump.wordpress.com/projects/rednotebook/

Description:
RedNotebook is a desktop diary that makes it very easy for you
to keep track of the stuff you do and the thoughts you have. This
journal software helps you to write whole passages or just facts,
and does so in style.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1079749

rpmlint output:
[fab@laptop24 noarch]$ rpmlint rednotebook*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint rednotebook-0.5.1-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Fabian Affolter 2009-01-24 12:49:58 EST
On my machines this application is crashing...

[fab@laptop24 ~]$ rednotebook 
AppDir: /usr/lib/python2.5/site-packages/rednotebook
BaseDir: /usr/lib/python2.5/site-packages
7955ed6d-4298-8816-362d144d-0b45e79e is dumped

I will get in touch with upstream about this.
Comment 2 Fabian Affolter 2009-01-24 12:56:24 EST
It's a known bug -> https://bugs.launchpad.net/rednotebook/+bug/320492
Comment 3 Fabian Affolter 2009-02-03 05:08:48 EST
A person reports that it works with the workaround from https://bugzilla.redhat.com/show_bug.cgi?id=439667#c8
Comment 4 Fabian Affolter 2009-02-12 16:25:00 EST
* Thu Feb 12 2009 Fabian Affolter <fabian@bernewireless.net> - 0.5.5-1
- Updated to new upstream version 0.5.5

Updated files

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/rednotebook.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/rednotebook-0.5.5-1.fc10.src.rpm
Comment 5 Fabian Affolter 2009-03-07 07:13:05 EST
* Sat Mar 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0.6.1-1
- Updated to new upstream version 0.6.1
- Renamed docs, added License file

Updated files

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/rednotebook.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/rednotebook-0.6.1-1.fc10.src.rpm
Comment 6 manuel wolfshant 2009-03-07 14:25:31 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of source file: f7517ef745e1f1fc0575c38ed24b95c4c3538904 rednotebook-0.6.1.tar.gz
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64 + koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.

================
*** APPROVED ***
================
Comment 7 Fabian Affolter 2009-03-07 15:11:29 EST
Manuel, thanks for the review.
Comment 8 Fabian Affolter 2009-03-07 15:12:42 EST
New Package CVS Request
=======================
Package Name: rednotebook
Short Description: A desktop diary
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 9 Kevin Fenzi 2009-03-09 12:10:17 EDT
cvs done.
Comment 10 Fedora Update System 2009-03-09 19:49:04 EDT
rednotebook-0.6.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rednotebook-0.6.1-1.fc9
Comment 11 Fedora Update System 2009-03-09 19:49:11 EDT
rednotebook-0.6.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rednotebook-0.6.1-1.fc10
Comment 12 Christoph Wickert 2009-03-11 03:59:14 EDT
The package still crashes on x86_64 because MOZILLA_FIVE_HOME/LD_LIBRARY_PATH are != /usr/lib/xulrunner-1.9. That's why upstream added rednotebook/files/default.cfg for packagers to customize that path. As a downside, this package can no longer be noarch.

I suggest to 
- ether make the package arch-depended temporary or
- disable gtkmozembed for a while (useGTKMozembed=1)

The next version of the package will check for the location of xulrunner on startup.

Please read http://www.gnomefiles.org/comment.php?soft_id=2450 for details.
Comment 13 Christoph Wickert 2009-03-11 04:27:39 EDT
You are buildrequiring desktop-file-utils, but you are not using them to install or validate the desktop file.

When using desktop-file install, please "add-category="GTK;GNOME;Calendar;" in order to allow nested menus.

Please use versioned (Build)Requires as the versions needed are pretty up to date and prefent the package from being build on EPEL etc.:
python-devel >= 2.5
pygtk2-devel >= 2.13
PyYAML >= 3.05
gnome-python2-gtkhtml2 >= 2.19.1
Comment 14 Fedora Update System 2009-03-11 13:56:23 EDT
rednotebook-0.6.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update rednotebook'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2576
Comment 15 Fedora Update System 2009-03-11 14:00:06 EDT
rednotebook-0.6.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rednotebook'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2602
Comment 16 Fedora Update System 2009-03-18 17:50:32 EDT
rednotebook-0.6.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rednotebook-0.6.2-1.fc10
Comment 17 Fedora Update System 2009-03-18 17:50:37 EDT
rednotebook-0.6.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rednotebook-0.6.2-1.fc9
Comment 18 Fedora Update System 2009-03-23 11:49:19 EDT
rednotebook-0.6.2-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rednotebook'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2892
Comment 19 Fedora Update System 2009-03-23 11:58:43 EDT
rednotebook-0.6.2-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update rednotebook'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2960
Comment 20 Fedora Update System 2009-03-27 10:49:50 EDT
rednotebook-0.6.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2009-03-27 10:55:39 EDT
rednotebook-0.6.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Christoph Wickert 2009-03-27 11:24:57 EDT
FYI: 0.6.3 which fixes the bug I mentioned was released last weekend.
Comment 23 Fabian Affolter 2009-03-28 17:56:21 EDT
Thanks
Comment 24 Fabian Affolter 2011-07-14 11:43:48 EDT
Package Change Request
======================
Package Name: rednotebook
New Branches: el6
Owners: fab
InitialCC:
Comment 25 Gwyn Ciesla 2011-07-14 19:35:58 EDT
Git done (by process-git-requests).
Comment 26 Fabian Affolter 2015-03-17 14:31:02 EDT
Package Change Request
======================
Package Name: rednotebook
New Branches: epel7
Upstream URL: 
Owners: fab
InitialCC:
Comment 27 Gwyn Ciesla 2015-03-17 14:38:31 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.